﻿/* 
    Site-wide CSS defaults 
*/

/* Standard elements */
a{
    text-decoration: none;
}

a:hover{
    text-decoration: underline;
}

a img{
    border: none;
}

body {
   background-color: lightgray;
 }

fieldset 
{
	padding: 5px;
}
fieldset dt
{
    display: inline;
	text-align: right;
	width: 120px;
}
fieldset legend {
    display: inline;
}
.searchPanel {
    margin: 5px 5px 5px 5px;
}

/* Custom classes */
span.chart div {
    display: inline;
}

div.clear {
    clear: both;
}

textarea.codeBox {
    background-color: #eee !important;
    color: darkblue !important;
    font-family: 'Courier New' !important;
}

.errortext 
{
	clear: both;	
	display: block;
	color: Red;
	margin: 10px 10px 10px 10px;
}

.floatRight {
    float: right;
}

.gridBtns {
    float: right;
}

.invisible {
    display: none;
}

.rgFilterRow  .RadPicker
{
	    float: left ;
} 

.rwfButtons {
    padding-top: 10px;
    text-align: right;
}

.rwfButtons .tip {
    font-size: smaller;
    font-style: italic;
}

.rwfDetail {
    text-align: justify;
}

.rxsMainTab {
    border: 2px solid Gray;
    width: 100%;
}

.rxsObjLbl, .rxsPropLbl
{
	color: Gray;
    font-size: 12px;
	font-style: italic;
	vertical-align: top;
	width: 120px;
}
.rxsObjLblReq, .rxsPropLblReq
{
	background-image: url(i/star.png);
	background-position: left top;
	background-repeat: no-repeat;
	color: Gray;
    font-size: 12px;
	font-style: italic;
	padding-left: 7px;
	vertical-align: top;
	width: 120px;
}
.rxsObjTab
{
}
.rxsObjVal
{
	border-color: lightgray;
	border-style: solid;
	border-width: 1px;
	vertical-align: top;
}
.rxsPropVal
{
    font-size: 12px;
	vertical-align: top;
}
.rxsPropVal a 
{
	vertical-align: middle;
}
.rxsRow
{
}
.rxsSection
{
	background-color: lightblue;
	color: White;
	font-weight: bolder;
	padding-bottom: 5px;
	padding-top: 5px;
}



/* Named elements */
div#container {
    background-color: white;
    border: 1px solid white;
    margin-left: auto;
    margin-right: auto;
    width: 1000px;
}

div#header {
    background-color: lightgray;
    height: 111px;
    margin: 10px 10px 10px 10px;
    width: 980px;
}

div#menu {
    background-color: lightgray;
    height: 26px;
    margin: 0px 10px 0px 10px;
    width: 980px;
}

div#main {
    margin: 10px 10px 10px 10px;
    width: 980px;
}

div#page_title_wrapper {
    width: 980px;
}
    div#page_title_wrapper h1, fieldset legend {
        color: #F58026;
    }
        div #page_title_wrapper h1 {
        margin: 5px 0px 5px 0px;
        font-size: 2.5rem;
    }

div#page_title_left {
    float:left; 
    width: 500px;
}
div#page_title_right {
    float:right; 
    text-align:right;
    width: 480px; 
}
  
div#content_wrapper {
    background-color: white;
    clear: both;
}

div#footer {
    font-size: smaller;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5px;
    text-align: center;
    width: 1000px;
}

body.embedded div#container, body.embedded div#main {
    border: none;
    margin-left: initial;
    margin-right: initial;
    width: auto;
}

body.embedded div#header, body.embedded div#menu, body.embedded div#footer, body.embedded div#page_title_wrapper {
    display: none;
}

body.embedded div#content_wrapper {
    display: block;
}

/* Crystal headings are hidden by default */
body.crystal_aspx h1#hdrMain {
    display: none;
}

.rmpView {
    overflow-y:auto;
}

body.clientAdmin {
    background-image:url('i/satmap_password_reset_bg.jpg')!important;
    background-position:0 0;
    background-repeat:no-repeat;
    background-size:100%;
}

body.clientAdmin div#container {
    background-color: white;
    border: none;
    margin-left: auto;
    margin-right: auto;
    width: 640px;
}

body.clientAdmin div#main {
    margin: auto;
    margin-top:20%;
    padding:10px;
    width: 95%;
    border:8px solid #333;
    border-radius:4px;
}

body.clientAdmin div#page_title_wrapper {
    display:none;
    width:100%;
}

body.clientAdmin div#header {
    background-color: #333;
    background-image: url(i/SatMap-Xpedition-II-Logo-white-admin-portal-header_nu.png);
    background-repeat: no-repeat;
    background-size:contain;
    background-position:center;
    height: 132px;
     margin: 0px; 
     width: 100%; 
}

body.clientAdmin .mainText {
    text-align: left;
}

body.clientAdmin fieldset {
    text-align:center;
}

body.clientAdmin fieldset legend {
    color:#F58026;
    font-family: 'Oswald', sans-serif;
    text-transform:uppercase;
    font-weight:bold;
    text-align: left;
}

body.clientAdmin fieldset dl {
    display:inline-block;
    width:70%;
    margin-left:auto;
    margin-right:auto;
    text-align: left!important;
}

body.clientAdmin fieldset dt {
    display:inline-block;
    width:40%;
    float:left;
}

body.clientAdmin fieldset dt label {
    vertical-align:middle;
    margin-top:5px;
}

body.clientAdmin fieldset dd {
    display:inline-block;
    width:50%;
    float:right;
    clear:right;
    text-align: left!important;
}

body.clientAdmin fieldset dt, body.clientAdmin fieldset dd {
    margin-bottom:15px;
}

body.clientAdmin span.RadButton_Glow.rbSkinnedButton, span.RadButton_Glow.rbVerticalButton, span.RadButton_Glow.rbLinkButton,
body.clientAdmin span.RadButton_Glow.rbSkinnedButton:hover, span.RadButton_Glow.rbVerticalButton:hover, span.RadButton_Glow.rbLinkButton:hover {
    all:unset;
}

body.clientAdmin span.RadButton_Glow.rbHovered, body.clientAdmin span.RadButton_Glow.rbSkinnedButton:hover, body.clientAdmin span.RadButton_Glow.rbVerticalButton:hover, body.clientAdmin span.RadButton_Glow.rbLinkButton:hover  {
    all:unset;
}
body.clientAdmin .RadButton .rbDecorated {
    color:unset!important;
}

body.clientAdmin .btn-gst
{
	display: inline-block!important;
    border-radius:0!important;
padding: 6px 12px!important;
margin-bottom: 0!important;
font-size: 14px!important;
font-weight: 400!important;
line-height: 1.42857143!important;
text-align: center!important;
white-space: nowrap!important;
vertical-align: middle!important;
-webkit-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
user-select: none;
background-image: none!important;
border: 2px solid #F58026!important;
color:#F58026!important;
border-radius: 0px!important;
background-color: transparent!important;
}

body.clientAdmin .btn-gst:hover, body.clientAdmin span.RadButton_Glow.rbHovered, body.clientAdmin span.RadButton_Glow.rbSkinnedButton:hover {
     background-color:#F58026!important;
     color:#fff!important;
 }

html body.clientAdmin .RadInput_Glow .riTextBox, html body.clientAdmin .RadInputMgr_Glow {
    /*background: #fff!important;
    color: #333!important;*/
    border-color: #333!important;
    border-radius:0!important;
    font-weight: normal!important;
    font-size: 13px!important;
    font-family: Arial,Helvetica,sans-serif!important;
}

.loginForm {
    width:50%;
    min-width:320px;
    margin:auto;
    padding:1em;
    border:1px solid #ccc;
    margin-bottom:2em;
}

.loginForm input[type=checkbox]{
    margin-right:1em;
}

.RadButton .rbDecorated {
    display:inline-block!important;
}

#lnkNewPwd {
    padding:0 12px!important;
}

.layout {
    width:80%;
    margin:auto;
}

.layout td {
   vertical-align:top;
}

.rightBtns{
    width:80%;
    display:inline-block;
    margin:auto;
    text-align:right;
    margin-bottom:2em;
    margin-right:2em;
}